package com.yuchen.saas.park.service.service.repair;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.repair.SaasMatterRepairTypeDto;
import com.yuchen.saas.park.api.dto.repair.SaasMatterRepairTypeQueryDto;
import com.yuchen.saas.park.api.entity.repair.SaasMatterRepairType;
import com.yuchen.saas.park.api.vo.repair.SaasMatterRepairTypeVo;
import org.nest.springwrap.core.mp.support.NestPage;

import java.util.List;

/**
 * <p>
 * 报事报修类型表 服务类
 * </p>
 *
 * @author caiwq
 * @since 2024-04-22
 */
public interface ISaasMatterRepairTypeService extends IService<SaasMatterRepairType> {
    Boolean add(SaasMatterRepairTypeDto matterRepairTypeDto);
    Boolean edit(SaasMatterRepairTypeDto matterRepairTypeDto);
    Boolean remove(Long id);
    NestPage<SaasMatterRepairTypeVo> list(SaasMatterRepairTypeQueryDto queryDto);
    List<SaasMatterRepairTypeVo> listAll(SaasMatterRepairTypeQueryDto queryDto);
}
